/*
 Theme Name:     Rita Lacasta
 Theme URI:      http://plura.pt/
 Description:    Rita Lacasta Theme
 Author:         Plura
 Author URI:     http:/.plura.pt
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */
/*
@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');


h1, h2, h3 {
	font-family: 'Montserrat', sans-serif !important;
}
*/



/* INTRO */
.on.page-id-390 {
	animation: introfadeout 1s 10s forwards;
}


.page-id-390 article .et_pb_column {
	height: 100%;
}


.page-id-390 article #intro-holder {

	--init-pos: 1000px;

	align-items: center;
	background-color: #efa700;
	display: flex;
	justify-content: center;
}


/* bg fadein - 2secs - 6secs delay */
.on.page-id-390 article #intro-holder {
	animation: introbgcolor 2s 6s forwards;
}


.page-id-390 article #intro-holder svg {
	max-width: 80%;
	min-width: 80%; /* chrome will not display svg otheriwse */
	overflow: visible; /* allow itemns to be visible outside of viewbox*/
}

.page-id-390 article #intro-holder svg.clickable {
	cursor: pointer;
}

.page-id-390 article #intro-holder svg .cls-1 {
	fill: white;
}



.page-id-390 article #intro-holder svg #bottom {
	--init-pos: 1000px;
}

.page-id-390 article #intro-holder svg #top {
	--init-pos: calc( -1 * 1000px );
}

.page-id-390 article #intro-holder svg #bottom,
.page-id-390 article #intro-holder svg #top {
	opacity: 0;
	transform: translateY( var(--init-pos) );
}

.on.page-id-390 article #intro-holder svg #bottom,
.on.page-id-390 article #intro-holder svg #top {
	animation: intrologotopbottom 2s 1s forwards;
}

.page-id-390 article #intro-holder svg #underline {
	--init-pos: calc( var(--init-pos) );
	opacity: 0;
	transform: translateX( var(--init-pos) );
}

.on.page-id-390 article #intro-holder svg #underline {
	animation: intrologotitle 2s 3s forwards;
}

@media (min-width: 768px) {

	.page-id-390 article #intro-holder svg {
		max-width: 600px;
		min-width: 600px;
	}

}

@keyframes introfadeout {
	0% { opacity: 1; }

	100% { opacity: 0; }
}


@keyframes intrologotopbottom {

	0% { opacity: 0; transform: translateY( var(--init-pos) ); }

	33% { opacity: 1; }

	100% { opacity: 1; transform: translateY( 0 ); }

}

@keyframes intrologotitle {

	0% { opacity: 0; transform: translateX( var(--init-pos) ); }

	33% { opacity: 1; }

	100% { opacity: 1; transform: translateX( 0 ); }

}

@keyframes introbgcolor {
	
	0% { background-color: #efa700; }

	100% { background-color: transparent; }

}




/* MENU */
header .et_mobile_menu {
	border-top: none;
}


/* gallery */
.single-project .dss_masonry_gallery a[data-caption]:not([data-caption=""]) {
	display: block;
	position: relative;
}

.single-project .dss_masonry_gallery a[data-caption]:not([data-caption=""])::after {
	align-items: center;
	background-color: #000;
	display: flex;
	justify-content: center;
	position: absolute;
	right: 10px;
	top: 18px;
	z-index: auto;

	content: '\f05a';	
	font-family: "Font Awesome 5 Free";
	font-size: 1.4em;
	font-style: normal;
	font-variant: normal;
	font-weight: 900;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;	
}


.single-project .mfp-figure figcaption .mfp-title,
.single-project .mfp-figure figcaption .mfp-title .dss_masonry_gallery_caption {
	font-size: 1rem;
}

.single-project .mfp-figure figcaption .mfp-title {
	padding: 15px 0;
}

.single-project .mfp-figure figcaption .mfp-title .dss_masonry_gallery_caption {
	margin-top: 15px;
}

.single-project .mfp-figure figure img {
	/*max-height: 70vh !important;*/
	max-width: 70vw;
}




/* FOOTER */
@media (max-width: 980px) {

	/* disable mobile menu, enable 'normal' one */
	footer .et_pb_menu .et_pb_menu__menu {
		display: flex !important;
	}

	footer .et_pb_menu .et_mobile_nav_menu {
		display: none !important;
	}

}


@media (max-width: 767px) {

	footer .et_pb_menu .et_pb_menu__menu ul li {
		padding-left: 4px;
		padding-right: 4px;
	}

	footer .et_pb_menu .et_pb_menu__menu ul li a {
		font-size: .65rem;
	}

}


